import { INNCrypto, IStreamable } from "./src/interfaces";
import { Cipher, EncryptionKey, OutputFormat, Plaintext, SerializedKey } from "./src/types";
export declare class NNCrypto implements INNCrypto {
    private isReady;
    private init;
    encrypt(key: SerializedKey, plaintext: Plaintext, outputFormat?: OutputFormat): Promise<Cipher>;
    decrypt(key: SerializedKey, cipherData: Cipher, outputFormat?: OutputFormat): Promise<Plaintext>;
    hash(password: string, salt: string): Promise<string>;
    deriveKey(password: string, salt?: string): Promise<EncryptionKey>;
    exportKey(password: string, salt?: string): Promise<SerializedKey>;
    createEncryptionStream(key: SerializedKey, stream: IStreamable): Promise<string>;
    createDecryptionStream(iv: string, key: SerializedKey, stream: IStreamable): Promise<void>;
    encryptStream(key: SerializedKey, stream: IStreamable, _streamId?: string): Promise<string>;
    decryptStream(key: SerializedKey, iv: string, stream: IStreamable, _streamId?: string): Promise<void>;
}
