"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const libsodium_wrappers_1 = require("libsodium-wrappers");
class Password {
    static hash(password, salt) {
        const saltBytes = (0, libsodium_wrappers_1.crypto_generichash)(libsodium_wrappers_1.crypto_pwhash_SALTBYTES, salt);
        const hash = (0, libsodium_wrappers_1.crypto_pwhash)(32, password, saltBytes, 3, // operations limit
        1024 * 1024 * 64, // memory limit (8MB)
        libsodium_wrappers_1.crypto_pwhash_ALG_ARGON2ID13, "base64");
        return hash;
    }
}
exports.default = Password;
