import { StringOutputFormat, Uint8ArrayOutputFormat } from "libsodium-wrappers";
export declare type OutputFormat = Uint8ArrayOutputFormat | StringOutputFormat;
export declare type Cipher = {
    format: OutputFormat;
    alg: string;
    cipher: string | Uint8Array;
    iv: string;
    salt: string;
    length: number;
};
export declare type Plaintext = {
    format: OutputFormat;
    data: string | Uint8Array;
};
export declare type SerializedKey = {
    password?: string;
    key?: string;
    salt?: string;
};
export declare type EncryptionKey = {
    key: Uint8Array;
    salt: string;
};
export declare type Chunk = {
    data: Uint8Array;
    final: boolean;
};
